Bug 449317 - Review Request: gamazons - GNOME Amazons
Review Request: gamazons - GNOME Amazons
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-02 02:48 EDT by Michel Alexandre Salim
Modified: 2008-07-06 02:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.83-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-06 02:12:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-06-02 02:48:56 EDT
Spec URL: http://salimma.fedorapeople.org/for_review/games/gamazons.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/games/gamazons-0.83-1.fc9.src.rpm
Amazons is a game played on a 10x10 chess board. Each side has four
pieces (amazons) that move like chess queens (in a straight line in
any direction). Instead of capturing pieces like in chess, the game is
determined based on who moves last.

Each move consists of two parts. First an amazon moves to a new square
and then fires an arrow to another square (the arrow is fired in a
straight line in any direction from the square the amazon landed
on). The square the arrow lands on becomes a permenant block for the
rest of the game. No one can move over it, or fire an arrow over
it. Every turn an amazon must move and fire an arrow, so every turn
there is one less square available on the board. Try and block in your
opponent or section off a good chunk of the board for yourself.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=640110
Comment 1 Christoph Wickert 2008-06-07 20:36:05 EDT
Review for
ead55a82f610dc729519bfc5de1abab0  gamazons-0.83-1.fc9.src.rpm

OK - MUST: rpmlint silent on all packages
OK - MUST: package is named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package name
OK - MUST: meets the Packaging Guidelines
OK - MUST: licensed GPLv2 and meets the Licensing Guidelines 
OK - MUST: license field in the package spec file matches actual license
OK - MUST: source package includes the text of the license and it is correctly
included in %doc
OK - MUST: spec written in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by md5 33c2b373fd7fff25282eae56d5926a7a
OK - MUST: package successfully compiles and builds into binary rpms on i386
OK - MUST: no known ExcludeArchs
OK - MUST: all build dependencies are listed in BuildRequires
OK - MUST: spec file handles locales properly with %find_lang
OK - MUST: package is not relocatable
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: permissions on files are set properly, correct %defattr
OK - MUST: package has a %clean section which contains rm -rf %{buildroot}
OK - MUST: macro usage consistent
OK - MUST: package contains code, no content
OK - MUST: no large docs for a -doc subpackage
OK - MUST: %doc does not affect the runtime of the application
OK - MUST: no header files for a -devel package
OK - MUST: no static libraries for a -static package
OK - MUST: package does not contain any .la libtool archives
OK - MUST: GUI application includes a %{name}.desktop file, that is properly
installed with desktop-file-install
OK - MUST: package does not own files or directories already owned by other packages
OK - MUST: 'rm -rf %{buildroot}' at the beginning of %install
OK - MUST: all filenames are valid UTF-8

OK - SHOULD: package builds in mock with fedora-9-i386.cfg. With
fedora-devel-i386.cfg avahi is broken ATM but this is not an issue here
OK - SHOULD: latest stable version
OK - SHOULD: functions as described

FIX - MINOR: Please include src/thots in %doc since it contains the usual TODO
FIX - MINOR: Please include src/gamazon.bugs in %doc
?? - MINOR: You can remove the requirement for yelp, see bug # 243390 comment #
2 for example

I can't find no blockers, so this package is APPROVED.
Comment 2 Michel Alexandre Salim 2008-06-08 16:58:50 EDT
Thanks. Will make the changes before uploading. The yelp question is bizarre, as
yelp is the only package that owns /usr/share/gnome/help. Will ask in the
mailing list about that.

New Package CVS Request
Package Name: gamazons
Short Description: GNOME Amazons
Owners: salimma
Branches: EL-5 F-8 F-9
Cvsextras Commits: yes
Comment 3 Christoph Wickert 2008-06-08 17:49:28 EDT
(In reply to comment #2)
> Thanks. Will make the changes before uploading. The yelp question is bizarre, as
> yelp is the only package that owns /usr/share/gnome/help. Will ask in the
> mailing list about that.

I agree with Kevin's answer on the list: If you drop the requirement on yelp you
should IMO own /usr/share/gnome/help. Duplicate ownership is better than an
unowned directory.
Comment 4 Michel Alexandre Salim 2008-06-08 20:41:37 EDT
Yup. Which means filing bugs against a lot of GNOME packages -- nobody depends
on yelp yet everyone dumps files there.
Comment 5 Kevin Fenzi 2008-06-08 23:51:57 EDT
cvs done.
Comment 6 Michel Alexandre Salim 2008-06-09 01:00:14 EDT
Package built, thanks.
Comment 7 Fedora Update System 2008-06-09 01:15:25 EDT
gamazons-0.83-2.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-06-09 01:30:29 EDT
gamazons-0.83-2.fc8 has been submitted as an update for Fedora 8
Comment 9 Fedora Update System 2008-07-06 02:12:37 EDT
gamazons-0.83-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-07-06 02:16:40 EDT
gamazons-0.83-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.